Overview

Overview - What is Babylon?

Babylon is a program that provides on-screen information @ a click in all Windows applications.

Using Babylon you can search and receive precise up-to-date information on any topic that interests you. Receive only the information you want by pre-choosing interest categories and sub-categories from our Babylon Index and selecting your favorite glossaries.

Babylon automatically recognizes the word, expression or value you point your mouse at, regardless of which application displayed the word. You can get glossary definitions for words, convert currency, measurements and times, and even hear the correct pronunciation of the word you searched, all according to what you have clicked on or entered in the Babylon search box.


Getting Started

To search a word with Babylon Tool, point your mouse to any text shown on your screen and click it using the configuration you chose during the installation (the default setting is the right button). When you click on a word Babylon Search Window will pop-up. When you click on a number, the Babylon Conversion Window will pop-up.

Another way to activate Babylon Tool is to click on any empty space on your screen using the mouse settings you chose during the installation. Type in your word, expression, or value in the pop-up box that will appear.

You can view or change Babylon Tool's default settings from Babylon Menu. Right click the blue Babylon icon from the system tray, or click on the "menu" icon from Babylon Tool and choose "configuration".


Registration to Glossaries

It is recommended to register to glossaries when you start using the Babylon Tool. For each search, Babylon will first search your registered glossaries giving you faster results from your own personal glossary database.

There are two ways to register to a glossary:

  • Subscribe - Register to glossaries for on-line use only. If you wish to work off-line you must download the glossary.

  • Download - Register to glossaries for both on-line and off-line use.


Search

Find Mode

Babylon's main feature is the find mode. After you activate Babylon, type in your search entry in the Search Box and click go. Babylon will search the activated glossaries in My List and in the Main Index (if you are on-line). The search results will appear in the Result Window. The glossaries in which results were found will appear in the Glossary Results Bar. To receive more useful information on additional aids click here .


Search Box

Search Babylon

The search box is where you type your search entries- words, expressions or values.

Once a search is made you can search again by typing over your current search entry and clicking go. You can also view your last search entries by pulling down the menu on the search box- using the arrow .

Search the Web

To access the Web Search Menu - click on the arrow icon right of the search box and choose your preferred reference site or search engine. Your selection will remain as default until you choose other-wise. To search click on the magnifying glass icon.


Result Window

Viewing Your Results

In this window you can view the results to your search. Scroll through the results using the scroll bar left of the window. Alternatively you can view the search results one by one using the arrows right of the scroll bar.

You can also jump to a specific glossary results by opening the Result Glossary Bar and clicking on any glossary from the list.

Glossary Menu

By clicking on a glossary icon from the result window, you are opening it's glossary menu . The following options are available from this window :

  • Info - The Info Window of this glossary will pop-up in MyList Mode

  • Rate - Rate this glossary from one to five stars

  • Download - Download this glossary for off-line use

  • Suggest a Word - Suggest a word to the author of this glossary. Must be on-line!

  • Recommend a Glossary - Recommend this glossary to a friend. Must be on-line!

  • Write to Author - Send your personal message to the author of this glossary. Must be on-line!

For More Results

When you are on-line you can search for additional results in all of Babylon glossaries. To receive more matching results, click on the "more results" link when shown at the bottom of the result window. After searching the Main Index, Babylon will add to the Result Window the new found results.

Possible Corrections

When the word you are looking for cannot be found in your registered glossaries, you can either search for it in Babylon Index, or check for possible existing corrections to your entry. If no matches were found in Babylon Index, you will be given the option to Search the Web.


Glossary Bar

Result Glossary Bar

To open the Result Glossary Bar window click on the arrow to the left of the search box. This list shows the glossaries in which Babylon found results to your last search. Each time you search you can choose to get immediate results from your registered list of glossaries in MyList. For each search you make you can choose which glossaries to activate from MyList. These settings will be saved in Babylon until you change them.

To view the information on a glossary and switch between results, click on a glossary from the Result Glossary Bar.


Additional Aids

Babylon On-line/Off-line Mode

There are two modes of searching in Babylon : on-line and off-line. If you are working on-line and you wish to search only in your downloaded glossaries, switch to Babylon off-line mode. Switch between on-line and off-line modes by clicking on the circular ball icon located at the left bottom side of the result window.

Resize

If you wish to to resize your screen, drag the right bottom corner of the Babylon Window. Clicking the square icon next to it will restore the default screen size.


Your Glossaries

MyList of Glossaries

This Window stores your list of registered Glossaries in which Babylon searches each time you click or type a word. To access your glossary list, click on the "MyList" icon from Babylon main tool bar.

In this mode, you will find your stored list of glossaries. The list (Glossary Bar) is on the left side of the window, while on the right, in the Info Window, you can view more details on each of the glossaries from its individual profile card.

This default list of glossaries can be changed from this window at any time.


Glossary Registration

For a customized search, register to Babylon glossaries according to your fields of interest. The more Babylon glossaries you download, the more results you will get when you work off-line. better off-line usage you will get. To register to Babylon Glossaries you must be on-line.

Registering to Babylon Glossaries is available from the following locations :

  • From Babylon's Web-site: Search the Index and subscribe and/or download your choice of glossaries. You can access Babylon Index directly from Babylon Menu by choosing "Glossary Options > Add from Babylon Index."

  • From Your Babylon Tool:

  1. From Find Mode: For each search you make on-line, Babylon will suggest more results from Babylon Index. When you see the "more results" link from the Result Window, click on it to receive more results from glossaries relevant to your search. Click on [image] from the glossary header and choose to subscribe or to download.

  2. From MyList Mode you can download glossaries you are subscribed to. Click on the glossary you wish to download from the Glossary Bar on the left. In the Info Window click on [image] . If this icon is grey, it means that you have already downloaded the glossary.


Organize Your Glossaries

  • Activating & Deactivating Glossaries

  • Add/Remove Glossaries

  • Sorting your Glossaries

1. Activating & Deactivating Glossaries -

Each time you search Babylon, you can choose from which glossaries to get results by activating or de-activating specific glossaries.

When a glossary is activated you will see the red square next to it, checked. To de-activate a glossary, click on this square and un-check it. Re-activate the glossary by clicking again on the empty square.

You can also activate and de-activate glossaries from the right-mouse-button menu when you right click on any glossary from MyList and choose "status".

2. Add/Remove Glossaries

  • To remove glossaries from MyList, right click on the glossary you want to delete from the Glossary Bar and pressing "delete". You can also delete by clicking on the glossary and deleting from your keyboard.

  • Add glossaries from the Index - to learn more go to Glossary Registration.

3. Sorting Your Glossaries -

You can sort your registered glossaries using folders in which you can file the different glossaries.

To Create a new Folder:

  • Right click anywhere in the Glossary Bar in MyList mode, and choose "new folder" from the menu.

  • Type a name for the folder. You can re-name your folder by pressing F2 from your key-board

  • When the folder is closed it will be displayed with [image] next to it. To view the glossaries filed in it, you can expand the folder by double clicking on it.

  • To File your glossaries in the Folder you created, drag your glossary under the folder you wish to have it filed. You can move the folders themselves in the same manner.

  • You can also change the order in which the glossaries is displayed simply by dragging them along the glossary bar. This determines also the order in which the search results are displayed in the "find" mode.


Your Glossaries Info

Your Glossary's Info Window

Details on registered glossaries can be viewed from the Info Window in MyList mode. Just click on the glossary you wish to view from the Glossary Bar on the left. Information on a glossary includes - Author's name, Number of definitions, glossary description, last update, glossary file size, rating, and description.

  • Author - Click on this icon [image] to write to the Author of this glossary. For this option you must be on-line.

  • Last Update - The last date when the glossary was updated by the Author.

  • Size - How big is this glossary? Smaller glossaries are easier to download for off-line use while larger glossaries will usually have more comprehensive definitions. If you have not downloaded this glossary, you have the option of doing so by clicking on this icon [image] . To download a glossary you must be on-line.

  • Rating - You will be able to view 3 kinds of rating: how this glossary was rated by other users, popular rating determined by number of downloads, and Babylon's rating. To rate the glossary yourself click on this icon

  • Glossary Description - A general explanation about the content of the glossary. Click on this icon [image] to recommend the glossary.


Babylon Converter

The converter feature allows you to convert currencies, times and measurements. The conversion window appears every time you click on a number shown on your screen using the settings assigned to Babylon. You can access this window also by clicking on the "Convert" icon from Babylon's main tool bar.

You can make additional conversions by typing other numerical values in the editable source unit text box or in the search box in the "find" mode.


Conversion Parameters

You can choose the parameters you need to convert (currency, measurements or time) from the category pull-down menu at the bottom left side of the conversion window.

Each category is divided to sub-categories that allows you to select the source and target units:

  • Currencies: By abbreviation (USD - US Dollar), By Country name (United States - Dollar, and by currency name (Dollar, Us).

  • Measurements: Angels, Area, Density, Energy, Force, Kitchen measurements, Length, Power, Pressure, Temperature, Time, Torque, Velocity, Volume, Weight.

  • Times: Time Zones (GMT, PST, etc.), Local Times (United Kingdom, Los Angeles, etc.)


Post-It

Save-It Mode

The Post-It Mode allows you to save glossary definitions found in Babylon, so you can view them again quickly and easily. "Post-it" will save your definitions in a separate personalized vocabulary list.

Click here to learn how to access this mode.

Learn how to save your definitions in Babylon and on your local drive.


Access Post-It

Activating Save-It

To activate the save-it mode follow these simple steps :

  1. Access menu from Babylon Tool interface or by clicking on the Babylon Blue icon from your Nav Bar.

  2. Choose configuration

  3. Click on the find tab

  4. Check the option - 'Show Save-It mode Buttons'.

Once this mode is activated you can access it by clicking on the "Save-It" icon from the main tool bar.


Using Post-It

Using Save-It

Save your search results for future use both in Babylon or on your Local Drive :

  • In Babylon - Simply click on the push-pin icon shown on each search result header. The result frame (info and definition), will be saved in the "Save-It" window under the Saved Result List.

  • On your local drive - click on the "save" icon above the saved results list. Choose where to save your results in your local folders list. The default location is in the Babylon Folder.

To View Your Saved Definitions:

The definitions you saved can be viewed in the "save-it" window, which is split into two sections, similar to the main search window:

  • Right side - The saved results window

  • Left side - The saved results glossary list


Text-To-Speech

The text-to-speech feature enables you to hear the English pronunciation of words or phrases you click on or enter in the search box. This option is available only if you have a sound card installed on your computer.

The text-to-speech feature is an add-on that has to be downloaded and installed separately, and is available from both our "Babylon Tool" Home and Features page. When downloading, you can choose to install either male Download Male Voice or female voice Dowload Female Voice. The Text-to-speech voice and pronunciation can be changed from Babylon Configuration Menu under "voice".

To hear the word or phrase, just click on the "say it!" icon [image] located next to the search box The same icon can appear on each definition header in the result window. To learn how to activate this option, click here.


General

Do not forget to confirm your selections by clicking O.K before leaving this window.

  • Launch Babylon on Windows StartUp - Uncheck this option if you don't want Babylon to start automatically when you restart your computer.

  • Always use last user-defined window size- Babylon window will always open in the size you choose and not in it's default size.

  • Security- Use this option to define which file types will pop-up a warning, when you open a file attached to a glossary definition.


Find

Do not forget to confirm your selections by clicking O.K before leaving this window.

  • Activate Find - Choose the mouse setting you wish to assign to Babylon. You can configure a mouse button with a keyboard key. To activate Babylon click on the assigned button/s and the Babylon Search Box will pop-up.

  • Target Languages - Mark the languages in which you wish to receive your results when you search the Babylon Index.

  • Display only the current selected result - Check this box to configure your Result Window to view the search results one by one using the arrows left of the scroll bar. Do not forget to click on "O.K" before leaving the configuration window.

  • Show 'Save It' mode buttons - Check this box, to enable the Save-It mode. You will see the Save-It mode icon on your Babylon Tool's main tool bar, and a smaller icon within each definition header in your result window. Learn how to access and use this mode.

  • Show additional glossary buttons - Check this box to enable additional functions to each definition in the result window: "say it", minimize result, close result.

  • Size of 'Recent Searches' list - This menu determines the number of last searches you will be able to view from the search box pull down menu in the Find Mode.


Appearance

Choose the font and size to be used for the glossary definitions you receive from Babylon. For every language you can set a different font size. Do not forget to confirm your selections by clicking O.K before leaving this window.


Connection

Do not forget to confirm your selections by clicking O.K before leaving this window.

  • Internet Connection Type: Choose the type of connection you have to the Internet. Internet connection is used to search on-line, receive glossary updates, conversion updates and new versions of Babylon.

  • Proxy Setting: If you are connected to the Internet using a Proxy server or a Firewall check the "Connect through Proxy/Firewall server" option to specify the address and port of your server. The address of and port should be entered in format of 123.45.678.9:0000.

  • Glossary Updates:

  1. Enable on-line Updates - Check to allow an automatic connection to babylon.com, so Babylon will automatically check for glossary updates. When this option is not checked, even though you connect to the Internet instead of the update-files you will receive a notification that new updates are available. You can see the last update for each glossary from it's Info Window in the MyList mode.

  2. Update Automatically - Whenever glossary updates are available from babylon.com, the glossary updates will be downloaded and installed automatically. If this option is unchecked, you will receive an announcement of updates and the Babylon icon will blink. This option is available only when you have checked 'enabled on-line updates', and works only when you are connected to the Internet.


Voice

Do not forget to confirm your selections by clicking O.K before leaving this window.

Voice Options:

  • Language - Currently the only language available from babylon.com for the text-to-speech feature is English. If you have previously installed TTS engines in other languages, Babylon will detect them and will allow you to choose other languages as well.

  • Voice - Select the voice for the text-to-speech feature.

  • Speed - Select the speed of the text-to-speech voice.


Glossary Options

Add from Babylon Index

Choosing this option will launch your Web Browser and take you to Babylon Index where you can search for more glossaries to register to.

Open Babylon Builder

Using Babylon Builder you can create your own glossaries. If you have Babylon Builder installed on your computer, this will launch the program. If you do not have the Babylon Builder installed, choosing this option will launch the web browser and take you to the "Author's Area" of Babylon's website where you can create new glossaries or edit glossaries that you have created, using the on-line Builder.

Install from Disc

If you have any Babylon Glossary files saved on your local drive - glossaries you created or glossaries that were sent to you - use this option to use them in Babylon. Simply select the glossary file and Babylon will automatically run a short installation process which will enable you to use the glossaries.


Menu Language

This option enables you to choose the language in which all the menus and message updates will be displayed. The default language is the one chosen and used during the installation process. The chosen menu language is checked on the list.


Recommend Babylon

If you like using Babylon, send a recommendation about it to your friends. You can write a personalized message or use the default ready-made one.


Contact Babylon

Visit our Site

Upgrade Babylon

Once a new version or build is released by Babylon, you can upgrade your version without having to re-install the program or enter Babylon's web-site. This option also checks for glossary and currency rates updates.

Send Us Feedback

If you have any comments or suggestions, or if you need technical assistance from our support center, use this option to send us a message.

Babylon Message Board

Connect to our site to read messages written by Babylon users world-wide, or post your own messages. Registration is not required and anyone can post their own messages. This message board is managed Babylon's staff, to get first hand reviews from our users.

What's New

Read about the latest new releases from babylon.com in this section of Babylon Website.


Help

  • Contents - launches this Help File.

  • About Babylon - Shows you the current version and build of Babylon you are using.

  • Registration - You can update your registration details with Babylon. Submitting the form will update your details on Babylon servers the next time you will be on-line.


Main Menu

Disable

Disable frees up the assigned mouse button for non-Babylon work, and changes the icon color from blue to gray. The Disable option switches to Enable when you click on it, and vice versa.

A click on Enable restores the previously assigned mouse button to re-activate Babylon, and turns the icon color from gray to blue.


Babylon Features

Type topic text here.


Comment on Your Glossaries

Comment on your glossary "Favorites" from the lower icon bar in the Info Window (These options are only available when you are on-line)

  • Rate-It - Influence the rating of glossaries. Click on the "rate-It" icon and choose how many Babylon Mascots this glossary should get - 1 being the lowest and 5 being the highest.

  • Write - Write to the author and suggest new entries to this glossary. Your comments will be added to a web page of suggestions that the author will consult when updating the glossary.

  • Recommend - Recommend Babylon to a friend. Enter the recipient's e-mail address and if you wish add a personal comment on the glossary.


Configuration Menu

Babylon Menu

Configuration


Configuring Babylon

Configuration Window

This window is organized into five tab cards: General, Find, Appearance, Connection, and Voice.

1. General:

2. Find:

3. Appearance:

4. Connection:

5.


Using Groups


Using the Index

Use Babylon Index from our Web-site to search on-line.

We offer you 2 possible search methods:

1. Entry Search -

  • Enter your desired search entry in the search box on the left side of the screen and press go.